<?php
session_start();
include "../conexion.php";
$usu_id=$_SESSION['usu_id'];
if(!empty($_POST))
{
    $comt_id=$_POST['id'];
    if(isset($_POST['serial2']) && !empty($_POST['serial2'])) 
    {
        $serial = $_POST['serial2'];
        $valores_no_vacios = 0;

        foreach($serial as $valor) 
        {
            if(!empty($valor)) 
            $valores_no_vacios++;
        }
        $valores_no_vacios;
    }

    $number = $valores_no_vacios;  
    if($number > 0)  
    {  
        for($i=0; $i<$number; $i++)  
        {  
            if(trim($_POST["serial2"][$i] != '') )
            $dato1=mb_strtoupper($_POST["serial2"][$i]);  
            {
                $sql = "INSERT INTO seriales_com_temp (ser_codigo,usuario,compra_detalle_temp_comt_id) VALUES('".$dato1."','$usu_id','$comt_id')";  
                 mysqli_query($con, $sql);  
            } 
        }
        echo '<div class="alert alert-success alert-dismissable">
                <strong>Serial!</strong> Registrado correctamente.
            </div>';

    } 

    ?>

        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
            <a href="php_etiquetas/plantilla_serial_compra.php?comt_id=<?php echo $comt_id; ?>" target="_blank" title="Imprimir Seriales" class="btn btn-info" >
            <span class="btn-icon-only icon-print" data-dismiss="modal"></span>Imprimir</a>
            
        </div>

    <script type="text/javascript">  
        loadTabla(); 
    </script>
<?php 
} ?>  
